A scatter plot of any two variables in [Boston Housing Dataset](https://gist.github.com/yuzhang21/7a3fc3afba92196c5f653f5e70d1b0a5). 

In this dataset, the target variable is: "medv", which is the median value of owner-occupied homes. Because there are total 14 columns, we need to see the correlation among different variables to make sense of the data. Selection menus for both X and Y offers an excellent way for us to review the correlation between any two variables. Not only for the relationship to the target variable, but also for any pair of variables. In addition to X, Y channels, the point color is fixed to use "chas" variable, which indicates whether the house is near Charles river. And point size is mapped to "ptratio" - the pupil-teacher ratio of the town. Point transparency is set to 35% so that overlapping can be revealed by the darkness of the color. Also tooltips is set to target variable, which is the medium home value. Here we only allow menu to make changes to X, Y channels. But other channels can be changed in the similar way if we connect them with the menus. 

The original data comes from the github:
[Boston Housing Data](https://github.com/selva86/datasets/blob/master/BostonHousing.csv)
